KDE 4.2 PyKDE API Reference

- KDE's Python API

# DirectorySizeJob Class Reference

`from PyKDE4.kio import *`

Inherits: KIO.Job → KCompositeJob → KJob → QObject
Namespace: KIO

## Detailed Description

Computes a directory size (similar to "du", but doesn't give the same results since we simply sum up the dir and file sizes, whereas du speaks disk blocks)

## Methods

| __init__ (self, DirectorySizeJobPrivate dd)
| __init__ (self)
| slotResult (self, KJob job)
KIO.filesize_t | totalFiles (self)
KIO.filesize_t | totalSize (self)
KIO.filesize_t | totalSubdirs (self)

## Method Documentation

__init__ | ( | self, |
|  | DirectorySizeJobPrivate | dd
| ) |  |  |

__init__ | ( |  | self ) |

slotResult | ( | self, |
|  | KJob | job
| ) |  |  |

KIO.filesize_t totalFiles | ( |  | self ) |

Returns:
  the total number of files (counting symlinks to files, sockets and character devices as files) in this directory and all sub-directories

KIO.filesize_t totalSize | ( |  | self ) |

Returns:
  the size we found

KIO.filesize_t totalSubdirs | ( |  | self ) |

Returns:
  the total number of sub-directories found (not including the directory the search started from and treating symlinks to directories as directories)